Bug 142361 - FILESAVE DOCX shadow of rotated shape has wrong direction in Word
Summary: FILESAVE DOCX shadow of rotated shape has wrong direction in Word
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.3.0 target:7.2.0.0.beta2
Keywords:
Depends on: 142858
Blocks: Shape-ODF-OOXML-export
  Show dependency treegraph
 
Reported: 2021-05-18 20:01 UTC by Regina Henschel
Modified: 2021-06-16 07:30 UTC (History)
0 users

See Also:
Crash report or crash signature:
Regression By:


Attachments
File to reproduce wrong shadow direction (15.47 KB, application/vnd.oasis.opendocument.text)
2021-05-18 20:01 UTC, Regina Henschel
Details
Screenshot compare left LO vs right MSO (87.53 KB, image/png)
2021-05-18 20:07 UTC, Regina Henschel
Details
Impress document with the same problem (53.64 KB, application/vnd.oasis.opendocument.presentation)
2021-06-02 15:44 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2021-05-18 20:01:39 UTC
Created attachment 172154 [details]
File to reproduce wrong shadow direction

Open attached document and save it in docx-format.
Open the saved document in Word.
Error: In the original document the shadow goes bottom-right from the shape, in Word it goes bottom-left.
Comment 1 Regina Henschel 2021-05-18 20:07:10 UTC
Created attachment 172155 [details]
Screenshot compare left LO vs right MSO

The screenshot shows LibreOffice on the left side and MS Office on the right side.
Comment 2 NISZ LibreOffice Team 2021-05-19 06:44:44 UTC
Confirming with:

Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: e76292edc1d7e70ffa3f3940dc635581eb1a121b
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: threaded

The shadow appears mirrored in Word with the saved docx, but not in Writer.
Comment 3 Regina Henschel 2021-06-02 15:44:01 UTC
Created attachment 172577 [details]
Impress document with the same problem

Impress has the same problem, try with the attached presentation.

I know the reason in the meantime. MS Office rotates the shadow together with the shape, but LibreOffice rotates first the shape and then creates the shadow. OOXML has the attribute "rotWithShape" in the "outerShdw" element. It defaults to "true", so MS Office interprets a missing attribute as "true". For the way LibreOffice creates the shadow, the attribute needs to be exported as rotWithShape="false".
Comment 4 Commit Notification 2021-06-15 16:27:28 UTC
Regina Henschel committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/58eeec036c3780188feccb0e1a752cfdee90a49b

tdf#142361 export: prevent shadow to rotate with shape

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Regina Henschel 2021-06-15 16:34:30 UTC
It is a partly fix of the problem for the case of exporting odt to docx. For a whole fix, bug 142858 has to be fixed too.
Comment 6 Commit Notification 2021-06-16 07:30:19 UTC
Regina Henschel committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/1c0c11defaf6a83870725902825b1931f8ef50e5

tdf#142361 export: prevent shadow to rotate with shape

It will be available in 7.2.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.